summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndy Weidenbaum2016-02-27 21:14:09 -0800
committerAndy Weidenbaum2016-02-27 21:14:09 -0800
commitce0a862f5983eaf20a47983223cdd49b912b2157 (patch)
tree86817e62d7e627676ad7bd87f1ae9374f8f5203b
parent3ba588318ddb55ff2a37572be24004e6cec4ed12 (diff)
downloadaur-ce0a862f5983eaf20a47983223cdd49b912b2157.tar.gz
fix precomp grep
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD2
2 files changed, 2 insertions, 2 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0fe430b6e71..9af052093d4 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Tue Feb 23 14:20:42 UTC 2016
+# Sun Feb 28 05:02:53 UTC 2016
pkgbase = perl6-grammar-parsefail
pkgdesc = Syntax error reporting for Perl 6 grammars
pkgver = 0.1
diff --git a/PKGBUILD b/PKGBUILD
index 0f4eb8bdbc2..b07b3243bff 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -34,7 +34,7 @@ package() {
alacryd install
msg2 'Removing redundant precomp file dependencies...'
- _precomp=($(pacman -Qqg perl6 | pacman -Qql - | grep precomp))
+ _precomp=($(pacman -Qqg perl6 | pacman -Qql - | grep -E 'dist|precomp|short' || true))
for _pc in "${_precomp[@]}"; do
[[ -f "$pkgdir/$_pc" ]] && rm -f "$pkgdir/$_pc"
done